View Issue Details

IDProjectCategoryView StatusLast Update
0004146GNUnetotherpublic2018-06-07 00:43
ReporterstebalienAssigned ToChristian Grothoff 
PrioritynormalSeveritytrivialReproducibilityhave not tried
Status closedResolutionreopened 
Product Version0.10.1 
Target Version0.11.0pre66Fixed in Version0.11.0pre66 
Summary0004146: The GPG key used to sign the 0.10.1 source release has been revoked.
DescriptionThe GPG key used to sign the latest source release (0.10.1) has been revoked. Specifically, BF60708B48426C7E.

Files:

http://ftpmirror.gnu.org/gnunet/gnunet-0.10.1.tar.gz
http://ftpmirror.gnu.org/gnunet/gnunet-0.10.1.tar.gz.sig
TagsNo tags attached.

Activities

Christian Grothoff

2016-01-30 21:28

manager   ~0010115

Yes, but there's nothing we can do about it short of finally releasing the next version ;-).

stebalien

2016-02-01 01:45

reporter   ~0010119

Or you could just replace the current signature with one that uses a non-revoked key.

ng0

2016-08-03 13:54

developer   ~0011002

Last edited: 2016-08-03 17:38

View 4 revisions

Why is this a problem?

It is only problematic as far as I know when the revoke has been sent to keyservers.
If it has not been sent, keys can be un-revoked from what I've read.

* edit: But this one is revoked on keyservers. So the only solution is to create a new one / use a key which is active.

Christian Grothoff

2017-07-02 10:10

manager   ~0012293

This bug will be closed when I make the next release.

Issue History

Date Modified Username Field Change
2016-01-25 04:32 stebalien New Issue
2016-01-30 21:28 Christian Grothoff Note Added: 0010115
2016-01-30 21:28 Christian Grothoff Assigned To => Christian Grothoff
2016-01-30 21:28 Christian Grothoff Severity minor => trivial
2016-01-30 21:28 Christian Grothoff Status new => closed
2016-01-30 21:28 Christian Grothoff Resolution open => not fixable
2016-01-30 21:28 Christian Grothoff Fixed in Version => 0.11.0pre66
2016-01-30 21:28 Christian Grothoff Target Version => 0.11.0pre66
2016-02-01 01:45 stebalien Note Added: 0010119
2016-02-01 01:45 stebalien Status closed => feedback
2016-02-01 01:45 stebalien Resolution not fixable => reopened
2016-08-03 13:54 ng0 Note Added: 0011002
2016-08-03 13:57 ng0 Note Edited: 0011002 View Revisions
2016-08-03 17:38 ng0 Note Edited: 0011002 View Revisions
2016-08-03 17:38 ng0 Note Edited: 0011002 View Revisions
2017-07-02 10:10 Christian Grothoff Note Added: 0012293
2018-06-07 00:43 Christian Grothoff Status feedback => closed